# Uses of Class io.dapr.internal.resiliency.TimeoutPolicy (dapr-sdk-parent 1.12.2 API)
use: package: io.dapr.internal.resiliency, class: TimeoutPolicy

# Uses of Class
io.dapr.internal.resiliency.TimeoutPolicy

Packages that use TimeoutPolicy
Package
Description
io.dapr.internal.grpc
io.dapr.internal.grpc.interceptors

## Uses of TimeoutPolicy in io.dapr.internal.grpc

Methods in io.dapr.internal.grpc with parameters of type TimeoutPolicy
Modifier and Type
Method
Description
`static <T extends io.grpc.stub.AbstractStub<T>>
T`
DaprClientGrpcInterceptors.`intercept(String appId, T client, TimeoutPolicy timeoutPolicy)`
Adds all Dapr interceptors to a gRPC async stub.
`static <T extends io.grpc.stub.AbstractStub<T>>
T`
DaprClientGrpcInterceptors.`intercept(String appId, T client, TimeoutPolicy timeoutPolicy, reactor.util.context.ContextView context, Consumer<io.grpc.Metadata> metadataConsumer)`
Adds all Dapr interceptors to a gRPC async stub.
`static <T extends io.grpc.stub.AbstractStub<T>>
T`
DaprClientGrpcInterceptors.`intercept(T client, TimeoutPolicy timeoutPolicy)`
Adds all Dapr interceptors to a gRPC async stub.
`static <T extends io.grpc.stub.AbstractStub<T>>
T`
DaprClientGrpcInterceptors.`intercept(T client, TimeoutPolicy timeoutPolicy, reactor.util.context.ContextView context)`
Adds all Dapr interceptors to a gRPC async stub.
`static <T extends io.grpc.stub.AbstractStub<T>>
T`
DaprClientGrpcInterceptors.`intercept(T client, TimeoutPolicy timeoutPolicy, reactor.util.context.ContextView context, Consumer<io.grpc.Metadata> metadataConsumer)`
Adds all Dapr interceptors to a gRPC async stub.

## Uses of TimeoutPolicy in io.dapr.internal.grpc.interceptors

Constructors in io.dapr.internal.grpc.interceptors with parameters of type TimeoutPolicy
Modifier
Constructor
Description
``
`DaprTimeoutInterceptor(TimeoutPolicy timeoutPolicy)`